This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### -- (decrement)
Examples |
    int a = 5;    // Sets 'a' to 5
    int b = a--;  // Sets 'b' to 5, then decrements 'a' to 4
    int c = a;    // Sets 'c' to 4
Description | Substracts the value of an integer variable by 1. Equivalent to the operation i = i - 1. If the value of the variable i is five, then the expression i-- decreases the value of i to 4.
Syntax |
    var--
Parameters |
var | int
Related | - (minus) -= (subtract assign) ++ (increment)

Updated on October 26, 2013 08:58:34pm PDT